Name: kio-beagle
Url: http://www.kde-apps.org/content/show.php?content=28437
License: GPL
Group: Graphical desktop/KDE
Summary: KIO Slave for Beagle
Version: 0.3.1
Release: alt1

Source0: kio-beagle-%version.tar.gz
Source1: kio-beagle.icons.tar.bz2
Patch: query-beagled-status.diff

BuildRequires: gcc-c++ imake kdepim-devel libbeagle-devel libjpeg-devel libXext-devel 
BuildRequires: libXt-devel packages-info-i18n-common qt3-designer xml-utils xorg-cf-files

%description
A KIO slave for Beagle that allows a user to use Beagle in Konqueror,
the open_file dialog box, or the Alt-F2 command line. This is an
initial version and supports basic querying.

%prep
%setup -q 
%patch
%__subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
%__subst 's/\.la/.so/g' admin/acinclude.m4.in
%__subst 's/\(-Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g' admin/acinclude.m4.in
make -f admin/Makefile.common cvs ||:    

%build
unset QTDIR || : ; . /etc/profile.d/qt3dir.sh
%configure --disable-rpath --enable-final --disable-debug
%make_build

%install
%make_install install DESTDIR=%buildroot
rm -f %buildroot%_libdir/kde3/*.la
%find_lang  %name

# icond
mkdir -p %buildroot%_iconsdir
tar xjvf %SOURCE1 -C %buildroot%_iconsdir

# tar xf %SOURCE1

%files -f %name.lang
%_libdir/kde3/kio_*.*
%_datadir/services/*.protocol
%_iconsdir/hicolor/*/apps/kio_beagle.*

%changelog
* Thu Dec 14 2006 Alexey Shabalin <shaba@altlinux.ru> 0.3.1-alt1
- Init build for ALTLinux
